<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'beejees',

    /*
     * Package.
     */
    'package'   => 'project',

    /*
     * Modules.
     */
    'modules'   => ['project'],

    
    'project'       => [
        'model' => [
            'model' => \Beejees\Project\Models\Project::class,
            'repository' => \Beejees\Project\Repositories\Eloquent\ProjectRepository::class,
            'table' => 'projects',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'title',  'category_id',  'slug',  'meta_titile',  'description',  'images',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'project/project',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beejees',
            'package' => 'Project',
            'module' => 'Project',
        ],
    ],
];
