<?php

namespace Beejees\Project\Repositories\Eloquent;

use Beejees\Project\Interfaces\ProjectRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Beejees\Project\Repositories\Eloquent\Presenters\ProjectItemPresenter;


class ProjectRepository extends BaseRepository implements ProjectRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('beejees.project.project.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('beejees.project.project.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ProjectItemPresenter::class;
    }
}
